LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_typelib_UnionTypeDescription Struct Reference

Type description of a union. More...

`#include <typedescription.h>`

## Public Attributes
typelib_TypeDescription | aBase
| inherits all members of typelib_TypeDescription More...
typelib_TypeDescriptionReference * | pDiscriminantTypeRef
| type of the discriminant More...
sal_Int64 | nDefaultDiscriminant
| union default descriminant More...
typelib_TypeDescriptionReference * | pDefaultTypeRef
| union default member type (may be 0) More...
sal_Int32 | nMembers
| number of union member types More...
sal_Int64 * | pDiscriminants
| union member discriminant values (same order as idl declaration) More...
typelib_TypeDescriptionReference ** | ppTypeRefs
| union member value types (same order as idl declaration) More...
rtl_uString ** | ppMemberNames
| union member value names (same order as idl declaration) More...
sal_Int32 | nValueOffset
| union value offset for data access More...

## Detailed Description

Type description of a union.

The type class of this description is typelib_TypeClass_UNION.

## Member Data Documentation

typelib_TypeDescription _typelib_UnionTypeDescription::aBase

inherits all members of typelib_TypeDescription

sal_Int64 _typelib_UnionTypeDescription::nDefaultDiscriminant

union default descriminant

sal_Int32 _typelib_UnionTypeDescription::nMembers

number of union member types

sal_Int32 _typelib_UnionTypeDescription::nValueOffset

union value offset for data access

typelib_TypeDescriptionReference* _typelib_UnionTypeDescription::pDefaultTypeRef

union default member type (may be 0)

sal_Int64* _typelib_UnionTypeDescription::pDiscriminants

union member discriminant values (same order as idl declaration)

typelib_TypeDescriptionReference* _typelib_UnionTypeDescription::pDiscriminantTypeRef

type of the discriminant

rtl_uString** _typelib_UnionTypeDescription::ppMemberNames

union member value names (same order as idl declaration)

typelib_TypeDescriptionReference** _typelib_UnionTypeDescription::ppTypeRefs

union member value types (same order as idl declaration)

The documentation for this struct was generated from the following file:

- typelib/typedescription.h